Subject: Re: [PATCH iproute2] tc: m_bpf: fix next arg selection after tc opcode

From: Daniel Borkmann <[email-masked]>
Date: Wed, 18 Mar 2015 11:02:54 +0100

On 03/18/2015 11:00 AM, Jiri Pirko wrote:
> Wed, Mar 18, 2015 at 10:13:34AM CET, [email-masked] wrote:
>> Next argument after the tc opcode/verdict is optional, using NEXT_ARG()
>> requires to have another argument after that one otherwise tc will bail
>> out. Therefore, we need to advance to the next argument manually as done
>> elsewhere.
>>
>> Fixes: 86ab59a6660f ("tc: add support for BPF based actions")
>> Signed-off-by: Daniel Borkmann <[email-masked]>
>
> Thanks for fixing this Daniel.

Thanks & sorry I forgot to put you in Cc, I realized that too late.

Lack of coffee. ;)